--- updatedAt: 2026-07-30T18:14:46.000Z agentTools: projectIndex: https://docs.rekaz.io/llms.txt --- # /api/public/reservations/slots ## OpenAPI definition ```json { "openapi": "3.0.4", "info": { "title": "Rekaz Merchant Public API", "version": "v1" }, "servers": [ { "url": "https://platform.rekaz.io", "description": "Rekaz production" } ], "security": [ { "basicAuth": [], "tenantHeader": [] } ], "paths": { "/api/public/reservations/slots": { "get": { "tags": [ "Reservation" ], "operationId": "getPublicReservationSlots", "parameters": [ { "name": "StartDate", "in": "query", "schema": { "type": "string", "format": "date-time" } }, { "name": "EndDate", "in": "query", "schema": { "type": "string", "format": "date-time" } }, { "name": "PriceId", "in": "query", "schema": { "type": "string", "format": "uuid" } }, { "name": "MinQuantity", "in": "query", "schema": { "maximum": 2147483647, "minimum": 1, "type": "integer", "format": "int32" } }, { "name": "MinProvidersCount", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ProvidersIds", "in": "query", "schema": { "type": "array", "items": { "type": "string", "format": "uuid" } } }, { "name": "ResourceIds", "in": "query", "schema": { "type": "array", "items": { "type": "string", "format": "uuid" } } }, { "name": "CustomerLocation.Id", "in": "query", "schema": { "type": "string", "format": "uuid" } }, { "name": "CustomerLocation.Longitude", "in": "query", "schema": { "type": "number", "format": "double" } }, { "name": "CustomerLocation.Latitude", "in": "query", "schema": { "type": "number", "format": "double" } }, { "name": "CustomerLocation.Description", "in": "query", "schema": { "type": "string" } }, { "name": "CustomerLocation.Type", "in": "query", "schema": { "$ref": "#/components/schemas/CustomerLocationType" } }, { "name": "CartId", "in": "query", "schema": { "type": "string", "format": "uuid" } } ], "responses": { "200": { "description": "OK", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/SlotResponse" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/SlotResponse" } }, "examples": { "OK - application/json": { "summary": "OK - application/json", "value": "{}" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/SlotResponse" } } } } } } } } }, "components": { "securitySchemes": { "basicAuth": { "type": "http", "scheme": "basic", "description": "Use the API key ID as the username and the API key secret as the password." }, "tenantHeader": { "type": "apiKey", "in": "header", "name": "__tenant", "description": "The Rekaz tenant ID." } }, "schemas": { "CustomerLocationType": { "enum": [ 0, 1, 2, 3, 4, 5 ], "type": "integer", "format": "int32", "x-enumNames": [ "Home", "Work", "RestHouse", "FriendsPlace", "Other", "Current" ] }, "SlotAmountsResponse": { "type": "object", "properties": { "totalPrice": { "type": "number", "format": "double" }, "effectiveQuantity": { "type": "number", "format": "double" }, "totalAfterDiscount": { "type": "number", "format": "double" }, "depositAmount": { "type": "number", "format": "double", "nullable": true } }, "additionalProperties": false }, "SlotResponse": { "type": "object", "properties": { "from": { "type": "string", "format": "date-time" }, "to": { "type": "string", "format": "date-time" }, "availableReservationsCount": { "type": "integer", "format": "int32" }, "availableProvidersCount": { "type": "integer", "format": "int32" }, "availableProviderIds": { "type": "array", "items": { "type": "string", "format": "uuid" } }, "availableResourceIds": { "type": "array", "items": { "type": "string", "format": "uuid" } }, "isOutDated": { "type": "boolean" }, "isAvailable": { "type": "boolean" }, "amounts": { "$ref": "#/components/schemas/SlotAmountsResponse" }, "maxConnectedTo": { "type": "string", "format": "date-time" }, "allProvidersAvailability": { "type": "object", "additionalProperties": { "type": "boolean" } }, "allResourcesAvailability": { "type": "object", "additionalProperties": { "type": "boolean" } } }, "additionalProperties": false } } } } ```